import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/VamsiSukamanchi/e75c15ef386c24f26b02f9c7672f3ccd/raw/c96b551e942c13383d0e3d35761c2251b6b3b335/videogames.csv';

export const getData = async () => {
  const data = await csv(csvUrl);
  
  data.forEach(d => {
    d.Global_Sales = +d.Global_Sales;
  });
  
  // EU_Sales: "29.02"
  // Genre: "Sports"
  // Global_Sales: "82.74"
  // JP_Sales: "3.77"
  // NA_Sales: "41.49"
  // Name: "Wii Sports"
  // Other_Sales: "8.46"
  // Platform: "Wii"
  // Publisher: "Nintendo"
  // Rank: "1"
  // Year: "2006"

  console.log(data[0]);

  return data;
};